Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTSFIELD | METHOD

## org.codehaus.groovy.control
[Java] Enum CompilePhase

    java.lang.Object
      java.lang.Enum
          org.codehaus.groovy.control.CompilePhase

    public enum CompilePhase
    extends java.lang.Enum

The phases of the GroovyCompiler. This is an enum facade on top of the Phases object. In general, prefer using this object over Phases.

Authors:
  Hamlet D'Arcy

Field Summary
`static CompilePhase[]` | `phases` The phases of the GroovyCompiler.

Method Summary
`static CompilePhase` | `fromPhaseNumber(int phaseNumber)` Returns the CompilePhase for the given integer phase number.
`int` | `getPhaseNumber()` Returns the underlieng integer Phase number.

Methods inherited from class java.lang.Enum
java.lang.Enum#name(), java.lang.Enum#equals(java.lang.Object), java.lang.Enum#toString(), java.lang.Enum#hashCode(), java.lang.Enum#compareTo(java.lang.Enum), java.lang.Enum#compareTo(java.lang.Object), java.lang.Enum#valueOf(java.lang.Class, java.lang.String), java.lang.Enum#getDeclaringClass(), java.lang.Enum#ordinal(), java.lang.Enum#wait(long), java.lang.Enum#wait(long, int), java.lang.Enum#wait(), java.lang.Enum#getClass(), java.lang.Enum#notify(), java.lang.Enum#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Field Detail

### phases

    public static CompilePhase[] phases

  The phases of the GroovyCompiler. This is an enum facade on top of the Phases object. In general, prefer using this object over Phases.
  Authors:
    Hamlet D'Arcy

Method Detail

### fromPhaseNumber

    public static CompilePhase fromPhaseNumber(int phaseNumber)

  Returns the CompilePhase for the given integer phase number.
  Parameters:
    `phaseNumber` - the phase number
  Returns:
    the CompilePhase or null if not found

### getPhaseNumber

    public int getPhaseNumber()

  Returns the underlieng integer Phase number.

Groovy Documentation